=== modified file 'lib/lp/bugs/browser/tests/test_bugtask.py'
--- lib/lp/bugs/browser/tests/test_bugtask.py	2011-12-22 06:09:15 +0000
+++ lib/lp/bugs/browser/tests/test_bugtask.py	2011-12-22 11:40:58 +0000
@@ -183,7 +183,7 @@
         self.invalidate_caches(bug.default_bugtask)
         self.getUserBrowser(url, owner)
         # At least 20 of these should be removed.
-        self.assertThat(recorder, HasQueryCount(LessThan(101)))
+        self.assertThat(recorder, HasQueryCount(LessThan(106)))
         count_with_no_branches = recorder.count
         for sp in sourcepackages:
             self.makeLinkedBranchMergeProposal(sp, bug, owner)

=== modified file 'lib/lp/bugs/model/tests/test_bugtask.py'
--- lib/lp/bugs/model/tests/test_bugtask.py	2011-12-22 05:56:59 +0000
+++ lib/lp/bugs/model/tests/test_bugtask.py	2011-12-22 11:40:58 +0000
@@ -2594,15 +2594,16 @@
     layer = AppServerLayer
 
     def test_delete_bugtask(self):
-        """Test that a bugtask can be deleted with the feature flag on."""
+        """Test that a bugtask can be deleted."""
         owner = self.factory.makePerson()
+        some_person = self.factory.makePerson()
         db_bug = self.factory.makeBug()
         db_bugtask = self.factory.makeBugTask(bug=db_bug, owner=owner)
         transaction.commit()
         logout()
 
-        # It will fail without feature flag enabled.
-        launchpad = self.factory.makeLaunchpadService(owner)
+        # It will fail for an unauthorised user.
+        launchpad = self.factory.makeLaunchpadService(some_person)
         bugtask = ws_object(launchpad, db_bugtask)
         self.assertRaises(Unauthorized, bugtask.lp_delete)
 

